Package com.independentsoft.office.vml

# Enum Class CalloutType

java.lang.Object
java.lang.Enum<CalloutType>
com.independentsoft.office.vml.CalloutType

All Implemented Interfaces:
  `Serializable`, `Comparable<CalloutType>`, `Constable`

public enum CalloutType extends Enum<CalloutType>
The Enum CalloutType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOUD`
  `NONE`
  `OVAL`
  `RECTANGLE`
  `ROUNDED_RECTANGLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalloutType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CalloutType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECTANGLE

    public static final CalloutType RECTANGLE

  - ### ROUNDED_RECTANGLE

    public static final CalloutType ROUNDED_RECTANGLE

  - ### OVAL

    public static final CalloutType OVAL

  - ### CLOUD

    public static final CalloutType CLOUD

  - ### NONE

    public static final CalloutType NONE

- ## Method Details

  - ### values

    public static CalloutType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CalloutType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null